## Enable jump
execute as @a[tag=mythicstaffs.effect.weight] run attribute @s minecraft:jump_strength modifier add mythicstaffs.effect.weight -0.7 add_value
execute as @a[tag=!mythicstaffs.effect.weight] run attribute @s minecraft:jump_strength modifier remove mythicstaffs.effect.weight

## Sticky (adhesimancer)
execute as @a[tag=mythicstaffs.effect.sticky] unless entity @s[nbt={active_effects:[{id:"minecraft:slowness"}]}] run tag @s remove mythicstaffs.effect.sticky
execute as @a[tag=mythicstaffs.effect.sticky] run tag @s add mythicstaffs.effect.weight

## Invisible (for many spells / projectiles)
execute as @e[tag=mythicstaffs.invisible] run data merge entity @s {Invisible:1b}
effect give @e[tag=mythicstaffs.invisible] invisibility infinite 0 true

## Marked (technomancer)
effect give @e[tag=mythicstaffs.effect.marked] glowing 1 0 false
team join marked @e[tag=mythicstaffs.effect.marked]
team leave @e[tag=!mythicstaffs.effect.marked]

## Obscured (AKA blind) (obscuromancer)
effect give @a[tag=mythicstaffs.effect.blind] blindness 3 0 false
execute as @a[tag=mythicstaffs.effect.blind] at @s run tag @s remove mythicstaffs.effect.blind

## Tree hat
clear @a minecraft:stick[custom_model_data=1]
execute as @a[tag=mythicstaffs.effect.tree] run function mythicstaffs:effects/tree
# Dropped item
kill @e[type=item,nbt={Item:{id:"minecraft:stick",components:{custom_model_data:1}}}]

## Lovely
execute as @a[tag=mythicstaffs.effect.weight] at @s unless entity @a[distance=..40,tag=mythicstaffs.effect.lovely] run tag @s remove mythicstaffs.effect.weight
execute as @a[tag=mythicstaffs.effect.lovely] at @s run function mythicstaffs:effects/lovely

## Reeling
execute as @a[tag=mythicstaffs.reeling] at @s unless entity @e[tag=mythicstaffs.spell.hook,distance=..50] run tag @s remove mythicstaffs.reeling

## Reservoir
execute as @a[tag=mythicstaffs.effect.reservoir] at @s unless block ~ ~ ~ minecraft:water run tag @s remove mythicstaffs.effect.reservoir
execute as @a[tag=mythicstaffs.effect.reservoir] at @s run effect give @s minecraft:night_vision 1 0 true

## Ally
execute as @e[tag=mythicstaffs.effect.ally] at @s if entity @a[distance=6..15] at @p run tp @s ~ ~ ~2
execute as @e[tag=mythicstaffs.effect.ally] at @s if entity @a[distance=..10] run effect give @a[distance=..12] minecraft:dolphins_grace 3 0
execute as @e[tag=mythicstaffs.effect.ally] at @s unless entity @a[distance=..10] run particle poof ~ ~ ~ 0.2 0.2 0.2 0 10
execute as @e[tag=mythicstaffs.effect.ally] at @s unless entity @a[distance=..10] run playsound minecraft:entity.shulker_bullet.hit ambient @a[distance=..40] ~ ~ ~ 1 0.4
execute as @e[tag=mythicstaffs.effect.ally] at @s unless entity @a[distance=..10] run tp @s ~ ~-1000 ~