execute as @e[tag=table.table] at @s run function table:table

## Placing
execute at @e[tag=table.runic] run function table:place/runic
kill @e[tag=table.runic]

execute at @e[tag=table.infernal] run function table:place/infernal
kill @e[tag=table.infernal]

execute at @e[tag=table.enlightened] run function table:place/enlightened
kill @e[tag=table.enlightened]

## Animation (rods)
execute as @e[tag=table.rod] at @s run tp @s ~ ~ ~ facing entity @e[tag=table.table,sort=nearest,limit=1]
execute as @e[tag=table.rod] at @s run tp @s ~ ~ ~ ~ 0
execute as @e[tag=table.table] at @s run tp @e[tag=table.rod,distance=..2] ~ ~ ~
execute as @e[tag=table.rod] at @s run tp @s ~ ~ ~ ~-1 0
execute as @e[tag=table.rod] at @s if entity @e[tag=table.item,distance=..4] run tp @s ~ ~ ~ ~5 0
execute as @e[tag=table.rod] at @s run tp @s ^ ^ ^-1

execute as @e[tag=table.rod] at @s run tp @s ~ ~ ~ ~ 30

## Unlink items
execute as @e[tag=table.item] at @s unless entity @e[tag=table.table,distance=..2] run data merge entity @s {NoGravity:0b,Glowing:0b}
execute as @e[tag=table.item] at @s unless entity @e[tag=table.table,distance=..2] run tag @s remove table.item

## Crafting
# Empty Staff Base
execute as @e[tag=table.item,type=item,nbt={Item:{id:"minecraft:warped_fungus_on_a_stick",components:{"minecraft:custom_model_data":3}}}] at @s run function table:craftstaff_apprentice
execute as @e[tag=table.item,type=item,nbt={Item:{id:"minecraft:warped_fungus_on_a_stick",components:{"minecraft:custom_model_data":4}}}] at @s run function table:craftstaff_arcane
execute as @e[tag=table.item,type=item,nbt={Item:{id:"minecraft:warped_fungus_on_a_stick",components:{"minecraft:custom_model_data":5}}}] at @s unless entity @e[distance=..2,tag=table.type.infernal] unless entity @e[distance=..2,tag=table.type.runic] run function table:craftstaff_spectral
execute as @e[tag=table.item,type=item,nbt={Item:{id:"minecraft:warped_fungus_on_a_stick",components:{"minecraft:custom_model_data":6}}}] at @s unless entity @e[distance=..2,tag=table.type.infernal] unless entity @e[distance=..2,tag=table.type.runic] run function table:craftstaff_mythic
# Uncharged Mana Base
execute as @e[tag=table.item,type=item,nbt={Item:{id:"minecraft:command_block",components:{"minecraft:custom_model_data":1}}}] at @s run function table:craftmana
# Deepslate Shard Base
execute as @e[tag=table.item,type=item,nbt={Item:{id:"minecraft:command_block",components:{"minecraft:custom_model_data":100}}}] at @s unless entity @e[distance=..2,tag=table.type.runic] run function table:craftbrokenstaff
