## Summon wave markers in correct towers
execute as @e[tag=mythicstaffs.tower] at @s if entity @p[distance=..50] run function towers:summonmarkers

## Spawn waves for nearby players
execute as @e[tag=mythicstaffs.marker.wave] at @s positioned ~ ~4 ~ if entity @p[distance=..5] unless entity @a[distance=6..15] run function towers:wavefunction
execute as @e[tag=mythicstaffs.marker.wave] at @s positioned ~ ~4 ~ if entity @p[distance=..5] unless entity @a[distance=6..15] run kill @s

## Finish waves
# Checking specific orientation of ladder
execute as @e[tag=mythicstaffs.marker.wave] at @s positioned ~ ~-7 ~ if block ~ ~ ~3 minecraft:ladder unless entity @e[distance=..2,tag=mythicstaffs.marker.wave] unless entity @e[distance=..20,tag=mythicstaffs.tower.enemy] positioned ~ ~7 ~ run fill ~-3 ~-1 ~-3 ~3 ~-1 ~3 minecraft:ladder[facing=north] replace minecraft:structure_block
execute as @e[tag=mythicstaffs.marker.wave] at @s positioned ~ ~-7 ~ if block ~ ~ ~-3 minecraft:ladder unless entity @e[distance=..2,tag=mythicstaffs.marker.wave] unless entity @e[distance=..20,tag=mythicstaffs.tower.enemy] positioned ~ ~7 ~ run fill ~-3 ~-1 ~-3 ~3 ~-1 ~3 minecraft:ladder[facing=south] replace minecraft:structure_block
execute as @e[tag=mythicstaffs.marker.wave] at @s positioned ~ ~-7 ~ if block ~3 ~ ~ minecraft:ladder unless entity @e[distance=..2,tag=mythicstaffs.marker.wave] unless entity @e[distance=..20,tag=mythicstaffs.tower.enemy] positioned ~ ~7 ~ run fill ~-3 ~-1 ~-3 ~3 ~-1 ~3 minecraft:ladder[facing=west] replace minecraft:structure_block
execute as @e[tag=mythicstaffs.marker.wave] at @s positioned ~ ~-7 ~ if block ~-3 ~ ~ minecraft:ladder unless entity @e[distance=..2,tag=mythicstaffs.marker.wave] unless entity @e[distance=..20,tag=mythicstaffs.tower.enemy] positioned ~ ~7 ~ run fill ~-3 ~-1 ~-3 ~3 ~-1 ~3 minecraft:ladder[facing=east] replace minecraft:structure_block
# Checking specific orientation of ladder, but specifically a structure block in it
execute as @e[tag=mythicstaffs.marker.wave] at @s positioned ~ ~-7 ~ if block ~ ~ ~3 minecraft:structure_block unless entity @e[distance=..2,tag=mythicstaffs.marker.wave] unless entity @e[distance=..20,tag=mythicstaffs.tower.enemy] positioned ~ ~7 ~ run fill ~-3 ~-1 ~-3 ~3 ~-1 ~3 minecraft:ladder[facing=north] replace minecraft:structure_block
execute as @e[tag=mythicstaffs.marker.wave] at @s positioned ~ ~-7 ~ if block ~ ~ ~-3 minecraft:structure_block unless entity @e[distance=..2,tag=mythicstaffs.marker.wave] unless entity @e[distance=..20,tag=mythicstaffs.tower.enemy] positioned ~ ~7 ~ run fill ~-3 ~-1 ~-3 ~3 ~-1 ~3 minecraft:ladder[facing=south] replace minecraft:structure_block
execute as @e[tag=mythicstaffs.marker.wave] at @s positioned ~ ~-7 ~ if block ~3 ~ ~ minecraft:structure_block unless entity @e[distance=..2,tag=mythicstaffs.marker.wave] unless entity @e[distance=..20,tag=mythicstaffs.tower.enemy] positioned ~ ~7 ~ run fill ~-3 ~-1 ~-3 ~3 ~-1 ~3 minecraft:ladder[facing=west] replace minecraft:structure_block
execute as @e[tag=mythicstaffs.marker.wave] at @s positioned ~ ~-7 ~ if block ~-3 ~ ~ minecraft:structure_block unless entity @e[distance=..2,tag=mythicstaffs.marker.wave] unless entity @e[distance=..20,tag=mythicstaffs.tower.enemy] positioned ~ ~7 ~ run fill ~-3 ~-1 ~-3 ~3 ~-1 ~3 minecraft:ladder[facing=east] replace minecraft:structure_block

## Kill vexes not near evokers
execute as @e[type=vex] at @s unless entity @e[distance=..30,type=evoker] run particle minecraft:poof ~ ~ ~ 0.2 0.2 0.2 0 4
execute as @e[type=vex] at @s unless entity @e[distance=..30,type=evoker] run tp @s ~ -1000 ~