# Show loaded message
tellraw @a [{"text":"[Mythic SMP] ","bold":false,"color":"light_purple"},{"text":"Loaded all data","color":"dark_purple"}]

# Set up scoreboard for staff usage
scoreboard objectives add mythicstaffs.control.action minecraft.used:minecraft.warped_fungus_on_a_stick
scoreboard objectives add mythicstaffs.control.stance minecraft.custom:minecraft.sneak_time
scoreboard objectives add mythicstaffs.data.staffid dummy
scoreboard objectives add mythicstaffs.data.cost dummy

# Set up scoreboard for projectiles
scoreboard objectives add mythicstaffs.projectile.time dummy

# Set up the mythicstaffs.get trigger
scoreboard objectives add mythicstaffs.get trigger

# Set up objective for how many shards a player has
scoreboard objectives add mythicstaffs.shards dummy

# Set up objective for geomancer timer
scoreboard objectives add mythicstaffs.marker.geomancer dummy

# Set up objective for glacimancer timer
scoreboard objectives add mythicstaffs.marker.glacimancer dummy

# Set up objective for haspmancer check
scoreboard objectives add mythicstaffs.check.lock dummy

# Set up scoreboard for mythic shards in inventory
scoreboard objectives add mythicstaffs.data.mana dummy

## Dummy scoreboard
# This scoreboard is used for mathematical equations and storing temporary values
scoreboard objectives add mythicstaffs.dummy dummy

## Death scoreboard
scoreboard objectives add mythicstaffs.dead deathCount

## Health
scoreboard objectives add mythicstaffs.data.health health

## Totem id
scoreboard objectives add mythicstaffs.data.totemid dummy

## Lovely effect cooldown
scoreboard objectives add mythicstaffs.effect.lovely dummy

## Team for marked players
team add marked
team modify marked color gold

## Magician spawning
schedule function magician:spawn 1800s

## Schedule
schedule clear mythicstaffs:3s
schedule function mythicstaffs:3s 3s
schedule clear mythicstaffs:reminder
schedule function mythicstaffs:reminder 20s
#schedule clear mythicstaffs:2s
#schedule function mythicstaffs:2s 2s

## Set up scoreboard for numbers
scoreboard objectives add number.1 dummy
scoreboard objectives add number.2 dummy
scoreboard objectives add number.3 dummy
scoreboard objectives add number.4 dummy
scoreboard objectives add number.5 dummy
scoreboard objectives add number.10 dummy
scoreboard objectives add number.15 dummy
scoreboard objectives add number.20 dummy
scoreboard objectives add number.25 dummy
scoreboard objectives add number.30 dummy
scoreboard objectives add number.90 dummy
scoreboard objectives add number.1000 dummy

scoreboard players set MythicStaffs number.1 1
scoreboard players set MythicStaffs number.2 2
scoreboard players set MythicStaffs number.3 3
scoreboard players set MythicStaffs number.4 4
scoreboard players set MythicStaffs number.5 5
scoreboard players set MythicStaffs number.10 10
scoreboard players set MythicStaffs number.15 15
scoreboard players set MythicStaffs number.20 20
scoreboard players set MythicStaffs number.25 25
scoreboard players set MythicStaffs number.30 30
scoreboard players set MythicStaffs number.90 90
scoreboard players set MythicStaffs number.1000 1000