## Set players the right staff id in scoreboard
scoreboard players set @a mythicstaffs.data.staffid -1
execute as @a[nbt={Inventory:[{Slot:-106b,id:"minecraft:warped_fungus_on_a_stick"}]}] store result score @s mythicstaffs.data.staffid run data get entity @s Inventory[{Slot:-106b}].components."minecraft:custom_model_data"
execute as @a[nbt={SelectedItem:{id:"minecraft:warped_fungus_on_a_stick"}}] store result score @s mythicstaffs.data.staffid run data get entity @s SelectedItem.components."minecraft:custom_model_data"
# Holding non right-clickable item
execute as @a if score @s mythicstaffs.data.staffid matches ..19 run scoreboard players set @s mythicstaffs.data.staffid -1

## Open unopened maps
execute as @a[scores={mythicstaffs.control.action=1..},gamemode=survival] if score @s mythicstaffs.data.staffid matches 20 at @s run function towers:openmap

## Get staff cost
scoreboard players set @a mythicstaffs.data.cost 0
execute as @a[nbt={Inventory:[{Slot:-106b,components:{"minecraft:custom_data":{Apprentice:1}}}]}] run scoreboard players set @s mythicstaffs.data.cost 1
execute as @a[nbt={Inventory:[{Slot:-106b,components:{"minecraft:custom_data":{Arcane:1}}}]}] run scoreboard players set @s mythicstaffs.data.cost 2
execute as @a[nbt={Inventory:[{Slot:-106b,components:{"minecraft:custom_data":{Spectral:1}}}]}] run scoreboard players set @s mythicstaffs.data.cost 3
execute as @a[nbt={Inventory:[{Slot:-106b,components:{"minecraft:custom_data":{Mythic:1}}}]}] run scoreboard players set @s mythicstaffs.data.cost 4

execute as @a[nbt={SelectedItem:{components:{"minecraft:custom_data":{Apprentice:1}}}}] run scoreboard players set @s mythicstaffs.data.cost 1
execute as @a[nbt={SelectedItem:{components:{"minecraft:custom_data":{Arcane:1}}}}] run scoreboard players set @s mythicstaffs.data.cost 2
execute as @a[nbt={SelectedItem:{components:{"minecraft:custom_data":{Spectral:1}}}}] run scoreboard players set @s mythicstaffs.data.cost 3
execute as @a[nbt={SelectedItem:{components:{"minecraft:custom_data":{Mythic:1}}}}] run scoreboard players set @s mythicstaffs.data.cost 4

## Subtract one if wearing chainmail chestplate
execute as @a[nbt={Inventory:[{Slot:102b,id:"minecraft:chainmail_chestplate"}]}] run scoreboard players remove @s mythicstaffs.data.cost 1

## Block actions if not holding a useable staff
execute as @a if score @s mythicstaffs.data.staffid matches -1 run scoreboard players set @s mythicstaffs.control.action 0
execute as @a if score @s mythicstaffs.data.staffid matches -1 run scoreboard players set @s mythicstaffs.control.stance 0

## Chainmail boots
scoreboard players set @a[nbt={Inventory:[{Slot:100b,id:"minecraft:chainmail_boots"}]}] mythicstaffs.control.stance 1

## Blindness (no staffs) (blocked by chainmail helm) (bypassed by Purimancer)
execute as @a[nbt={active_effects:[{id:"minecraft:blindness"}]}] unless entity @s[nbt={Inventory:[{Slot:103b,id:"minecraft:chainmail_helmet"}]}] unless score @s mythicstaffs.data.staffid matches 1025 run scoreboard players set @s mythicstaffs.control.action 0

## Adventure mode (no staffs)
execute as @a[gamemode=adventure] run scoreboard players set @s mythicstaffs.control.action 0
execute as @a[nbt={Dimension:"minecraft:world_lobby"}] run scoreboard players set @s mythicstaffs.control.action 0

## Run the action function for all players inputting the right controls, if they have enough charged mythic shards
# Store amount
scoreboard players set @a mythicstaffs.data.mana 0
execute as @a[scores={mythicstaffs.control.stance=1..,mythicstaffs.control.action=1..},nbt={Inventory:[{id:"minecraft:command_block",components:{"minecraft:custom_model_data":2}}]}] store result score @s mythicstaffs.data.mana run clear @s minecraft:command_block[custom_model_data=2] 0
# Execute command
execute as @a[scores={mythicstaffs.control.stance=1..,mythicstaffs.control.action=1..}] if score @s mythicstaffs.data.mana >= @s mythicstaffs.data.cost run function mythicstaffs:spend


function mythicstaffs:postaction